Bug 44675 - [Qt] Fix the autotest on Meego handset
Summary: [Qt] Fix the autotest on Meego handset
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Major
Assignee: Benjamin Poulain
URL:
Keywords: Qt, QtTriaged
Depends on: 38538 44674 44697 44701 44703 44761 45001 46617 46706
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 04:25 PDT by Benjamin Poulain
Modified: 2011-02-24 05:23 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Poulain 2010-08-26 04:25:30 PDT
Some auto tests are failing on Meego Handset. We need to fix them to integrate QtWebKit 2.1.
Comment 1 Suresh Voruganti 2010-09-07 06:57:59 PDT
Benjamin any progress on the error?
Comment 2 Benjamin Poulain 2010-09-07 07:08:12 PDT
(In reply to comment #1)
> Benjamin any progress on the error?

This is a meta bug. You can look at the bugs in "Depends on" to see what is going on.
Comment 3 Suresh Voruganti 2010-09-13 06:24:05 PDT
HI
I think all the dependent bugs are fixed and fixes were cherry picked to QtWebkit 2.1. So can you pls Resolve this meta bugs?
Comment 4 Benjamin Poulain 2010-09-13 07:45:59 PDT
(In reply to comment #3)
> I think all the dependent bugs are fixed and fixes were cherry picked to QtWebkit 2.1. So can you pls Resolve this meta bugs?

If you want to help, fell free to open a task for each remaining failing test on the MeeGo bots. They should be valid since the QNAM bug is fixed.
Otherwise I'll open task myself when I am done with my current work on Qt.
Comment 5 Suresh Voruganti 2010-09-13 10:31:34 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > I think all the dependent bugs are fixed and fixes were cherry picked to QtWebkit 2.1. So can you pls Resolve this meta bugs?
> If you want to help, fell free to open a task for each remaining failing test on the MeeGo bots. They should be valid since the QNAM bug is fixed.
> Otherwise I'll open task myself when I am done with my current work on Qt.

Sorry Bejamin, I will not be able to help you, pls create a task for open issues once you are finished with your work on Qt.
Comment 6 Ademar Reis 2010-10-19 10:53:24 PDT
Summarizing what I discussed on IRC with Benjamin:

 - There are still several tests failing on Meego;
 - Not all failures are documented on bugzilla;
 - We should discuss if all (or which of) these failures will be fixed for the 2.1 release;

Meanwhile, this bug will be kept open and blocking qtwebkit-2.1 release.
Comment 7 Ademar Reis 2010-11-11 07:11:33 PST
Removing block for bug 39121, as this is not considered release-critical anymore.
Comment 8 Benjamin Poulain 2011-02-24 05:23:48 PST
No point at keeping this open.